#include<stdio.h>

int main(){
	int n,m,q;
	
	scanf("%d %d",&n,&m);
	
	int d[n],u[n];
	
	for(int i=0;i<n;i++){
		scanf("%d %d",&d[i],&u[i]);
	}
	
	int l[m],r[m],x[m];
	int poz[m],pozz[m];
	for(int i=0;i<m;i++){
		scanf("%d %d %d",&l[i],&r[i],&x[i]);
		poz[i]=i;
	}
	
	int s;
		
	for(int i=0;i<=n;i++){
		s=0;
		for(int j=l[i];j<r[i];j++){
			
			if(d[l[i]]<=x[i] && u[l[i]]>=x[i]){
				
				s++;
				continue;
			}
			
			
			}
		printf("%d\n",s);
	}
	
	
	
	return 0;
}